Name: 		kavi2svcd
Version: 	0.8.5
%define		distsuffix plf
Release: 	%mkrel 3

Summary: 	Converts AVI files VideoCD or Super-VideoCD
License: 	GPL
Group: 		Video
URL: 		http://www.cornelinux.de/linux/kavi2svcd/index-english.html
Source0: 	%name-%version.tar.bz2
#Patch:		%name-0.8.2-cpp.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-root

Requires: 	cdrdao mjpegtools transcode vcdimager
BuildRequires:	ImageMagick
BuildRequires:	libxml2-utils
BuildRequires:	kdelibs-devel

%description
kavi2svcd is a GUI for generating MPEG files from an AVI file using transcode
and mplex. It then generates a Video CD image using vcdimager and burns to CD
with cdrdao. It can generate m1v, m2v, and mpa files, multiplex the MPEG file,
generate cue and bin files, and allows the generated command lines to be
edited before executing them.

This package is in PLF because it requires transcode, which is in PLF.

%prep
%setup -q
#%patch -p1

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}

%configure2_5x --disable-rpath
make clean
%make

%install
rm -fr $RPM_BUILD_ROOT
perl -p -i -e 's/usr\/local/usr/g' %name/Makefile
%makeinstall_std
mv $RPM_BUILD_ROOT/%_prefix/local/bin/* $RPM_BUILD_ROOT/%_bindir
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name-script
%find_lang %name

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Video" \
title="K AVI to VCD" \
longtitle="Converts AVI files (S)VCD" \
command="%{name}" \
icon="%{name}.png"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_docdir}/HTML/*/%{name}
%{_bindir}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Oct 9 2005 Anssi Hannula <anssi@zarb.org> 0.8.5-3plf
- fix x86_64 build

* Sat Oct 8 2005 Stefan van der Eijk <stefan@zarb.org> 0.8.5-2plf
- BuildRequires
- distsuffix & mkrel

* Sat Jul 2 2005 Austin Acton <austin@zarb.org> 0.8.5-1plf
- 0.8.5

* Tue Feb 15 2005 Austin Acton <austin@zarb.org> 0.8.4-1plf
- 0.8.4

* Sat Oct 30 2004 Austin Acton <austin@zarb.org> 0.8.3-1plf
- 0.8.3
- drop libtoolize hack
- PLF reasoning

* Wed Jun 9 2004 Austin Acton <austin@linux.ca> 0.8.2-2plf
- patch for new cpp

* Sun May 23 2004 Austin Acton <austin@linux.ca> 0.8.2-1plf
- initial package
